Update agent config (requires write scope)
PATCH
/projects/{projectId}/agent/config
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Request Body
application/jsonagent_mode
string
Enum:
autopilot, copilot, assistai_model
string
confidence_threshold
number
settings
object
Responses
200
Updated
No response body
curl -X PATCH 'https://api.rogeriq.com/api/v1/projects/string/agent/config' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "agent_mode": "autopilot", "ai_model": "string", "confidence_threshold": 0, "settings": {}}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/agent/config', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "agent_mode": "autopilot", "ai_model": "string", "confidence_threshold": 0, "settings": {} })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.rogeriq.com/api/v1/projects/string/agent/config', headers=headers, json={ "agent_mode": "autopilot", "ai_model": "string", "confidence_threshold": 0, "settings": {}})print(response.json())
API Playground
Try this endpoint
PATCH
/projects/{projectId}/agent/config